gnome-screensaver (3.6.1-8ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add 03_fix_ltsp-fading.patch: don't fade on LTSP
    - Add 05_dbus_service.patch:
      + restore the dbus service that upstream dropped
    - Add 13_nvidia_gamma_fade_fallback.patch:
      + Fall back to XF86VM gamma fade if XRANDR gamma fade is not supported
    - Add 14_no_fade_on_user_switch.patch:
      + Disable fade on locking to work around #546578 and prevent the screen
        remaining blank after user switching.
    - Add 15_dont_crash_on_no_fade.patch:
      + Don't crash on systems that don't support XF86VM or XRANDR gamma fade,
        by testing if fade is supported on a particular screen before calling
        the fade_setup and fade_finish virtual functions
    - Add 16_dont_crash_in_kvm.patch:
      + Don't crash when the XF86VM extension doesn't allow the gamma to be set
    - Add 17_remove_top_panel.patch: Don't create the top panel.
    - Add 18_revert_dialog_layout.patch: Revert lock dialog to
      previous appearance to get username back.
    - Add 24_use_user_settings.patch: use the user settings, and
      not the default system ones, so we get the user's background when the
      screen is locked.
    - Add 25_fix_lock_command.patch: make --lock expect a reply
      so the screen gets properly locked when gnome-screensaver needs to be
      respawned by dbus. This was preventing ctrl-alt-l from locking the
      screen on the first attempt when the gnome-screensaver process was
      dead.
    - Add 27_lightdm_switch_user.patch: When used under lightdm,
      use dbus to switch to greeter instead of calling gdmflexiserver.
    - Add 28_blocking_return.patch:
      + Correctly reply so the client doesn't block waiting
    - Add 28_handle_expired_creds.patch:
      + Allow handling of expired credentials.
    - Add 30_ubuntu-lock-on-suspend_gsetting.patch: Handle
      ubuntu-lock-on-suspend gsettings key. This is introduced in Ubuntu's
      gsettings-desktop-schemas package.
    - Add 32_input_sources_switcher.patch:
      + Use input sources instead of XKB layouts.
    - Add 33_budgie_support.patch:
      + enable support for gnome-control-center
      + style the lock-screen using the "Unity" patch-work
    - Add move_not_nuke.patch: When trying to acquire a contentious
      keyboard grab, don't nuke input focus, but instead move it to new grab
      window before taking grab
    - Add allow-replacement: Make the D-Bus interface able to be
      replaced, so that Unity (or others in future) can take it over if they
      want to provide their own screensaver implementations. No need to listen
      to NameOwnerChanged, only NameLost — so we don't have to wake
      gnome-screensaver up every time this signal goes across the bus.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Dec 2017 20:55:16 -0500

gnome-screensaver (3.6.1-8) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Drop gnome-icon-theme from the dependencies, do not
    force an icon theme and rely on the one installed by the metapackages

  [ Jeremy Bicha ]
  * debian/control.in:
    - Depend on default-dbus-session-bus | dbus-session-bus instead of
      dbus-x11
    - Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Switch from cdbs to dh
  * Bump debhelper compat to 11
  * Add apport hook from Ubuntu
  * Merge dependency changes from Ubuntu:
    - Don't depend on gnome-session-bin
    - Allow xfce4-power-manager as an alternate to gnome-power-manager
  * Drop unneeded debian/gnome-screensaver.dirs
  * Drop gnome-screensaver.maintscript, not needed since Wheezy
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Dec 2017 21:08:53 -0500

gnome-screensaver (3.6.1-7) unstable; urgency=medium

  * d/p/0001-gs-lock-plug-Disconnect-signal-handler-from-right-ob.patch:
    Cherry-pick patch from upstream to disconnect a signal from the right
    place.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 20 Jul 2015 14:19:35 +0100

gnome-screensaver (3.6.1-6) unstable; urgency=medium

  * debian/patches/01_no_autostart.patch: Only autostart in GNOME Flashback
    sessions (closes: #790632).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jul 2015 13:35:28 +0300

gnome-screensaver (3.6.1-5) unstable; urgency=medium

  * Build against the new systemd library (closes: #779746).
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2015 17:11:05 +0300

gnome-screensaver (3.6.1-4) unstable; urgency=medium

  * Upload to unstable, not experimental. This fixes RC bug.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Dec 2014 13:53:48 +0300

gnome-screensaver (3.6.1-3) experimental; urgency=medium

  * Team upload.

  [ Faidon Liambotis ]
  * Re-enable support for locking the screen on suspend (closes: #773026).
    - Build with systemd support by passing --with-systemd=auto to configure
      and build-depending on libsystemd-login-dev. Use "auto" and a
      [linux-any] dependency to keep compatibility with non-Linux systems.
    - 00git_logind_check.patch from Ubuntu/upstream, to make this dependent on
      just logind, not systemd-as-pid1, as recommended by systemd upstream &
      Debian systemd maintainers. Drops libsystemd-daemon-dev build-dep.
    - 31_lock_screen_on_suspend.patch from Ubuntu, to listen for logind's
      PrepareForSleep signal, similarly to gnome-shell's behavior.
    - 14_no_fade_on_user_switch.patch from Ubuntu, as to not fade on screen
      lock. Prevents leaking of the screen contents on resume from suspend.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Dec 2014 13:23:21 +0300

gnome-screensaver (3.6.1-2) unstable; urgency=medium

  * Team upload
  * Add missing permissive license to debian/copyright (Closes: #749519)
  * Add a missing copyright holder while I'm there
  * Add patch from upstream to enable gnome-screensaver to be included
    in the autostart list for non-GNOME sessions, by requiring session files
    to include it in RequiredComponents if desired and removing its
    AutostartCondition (Closes: #733059)
    - depend on dh-autoreconf and gnome-common so we can autoreconfiscate
    - remove fallback -> flashback patch, no longer relevant
    - Breaks versions of gnome-session-flashback that do not explicitly pull
      it in

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Sep 2014 21:26:06 +0100

gnome-screensaver (3.6.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Add autotools-dev to the build-dependencies, so config.{guess,sub} are
      being updated during build

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_fallback_session.patch:
    + Fix session detection so that gnome-screensaver starts, the session
      is now called gnome-flashback instead of gnome-fallback.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 23:11:04 +0200

gnome-screensaver (3.6.0-1) experimental; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 15 Oct 2012 09:33:57 +0200

gnome-screensaver (3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-* URLs.
  * Bump Standards-Version to 3.9.3.
  * Update debian/copyright using the machine-readable copyright format 1.0.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Apr 2012 16:30:50 +0200

gnome-screensaver (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Drop Build-Depends on libgl1-mesa-dev | libgl1-mesa-swx11-dev, no longer
    required.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 17:34:18 +0200

gnome-screensaver (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * Pass --without-systemd to avoid building with systemd support for now.

 -- Jordi Mallach <jordi@debian.org>  Mon, 05 Mar 2012 20:42:38 +0100

gnome-screensaver (3.2.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2011 07:49:55 +0100

gnome-screensaver (3.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Bump libgnome-desktop-3-dev b-d

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 06 Nov 2011 15:06:45 +0000

gnome-screensaver (3.0.1-3) unstable; urgency=low

  * Bump dependency on gnome-session-bin to (>= 3.0) to avoid partial upgrades
    which can result in having the screen no longer locked on lid-close.
    Closes: #645427

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Oct 2011 15:34:04 +0200

gnome-screensaver (3.0.1-2) unstable; urgency=low

  * Remove obsolete gnome-screensavers.menu conffile on upgrades.
    Closes: #645448

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Oct 2011 10:52:38 +0200

gnome-screensaver (3.0.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/watch:
    - Switch to .xz tarballs.
  * debian/control:
    - Remove Build-Depends on libgnome-menu-dev.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
    - Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 12:52:40 +0200

gnome-screensaver (3.0.0-2) experimental; urgency=low

  * Team upload.
  * Bump build-dep on libgnomekbd-dev to ensure we have a version linked with
    libgtk3-0.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 10 Apr 2011 19:00:51 +0000

gnome-screensaver (3.0.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 10 Apr 2011 18:30:09 +0000

gnome-screensaver (2.91.92-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: bump libgnome-desktop and gsettings-desktop-schemas
    dependencies, as the gsettings key for background picture has been
    changed.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Mar 2011 14:38:48 +0100

gnome-screensaver (2.91.91-1) experimental; urgency=low

  * New upstream release.
  * debian/debian-floaters.desktop.in, debian/debian-swirl-logo.svg,
    debian/gnome-screensaver.install, debian/rules, debian/po-up:
    remove Floating Debian Swirl screensaver, there is no theme support
    anymore.
  * debian/rules: remove xscreensaver hacks configure flag, ditto.
  * debian/control.in: do not suggest xscreensaver-data or rss-glx, ditto.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Mar 2011 18:04:52 +0100

gnome-screensaver (2.91.90-1) experimental; urgency=low

  * New upstream release.
    * debian/control.in, debian/patches/:
      - Schema has been moved to gsettings-desktop-schemas, remove patch.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 21:16:48 +0100

gnome-screensaver (2.91.4-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Updated build dependencies.
    + debian/patches/0001-remove-cancel-button-and-set-a-minimum-width.patch,
      debian/patches/0002-add-a-gnome-3-style-panel-with-a-clock.patch:
      - Removed, included upstream.
  * debian/control.in:
    - Update for the new gtk+ package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:34:10 +0000

gnome-screensaver (2.91.3-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/rules:
      - Remove obsolete configure flag.
    + debian/gconf-defaults,
      debian/patches/01_debian_screensaver.patch:
      - GConf is gone. Patch the gsettings schema to have the Debian
        screensaver by default.
  * debian/control.in,
    debian/rules,
    debian/source/format:
    + Switch to source format 3.0 (quilt).
  * debian/patches/0001-remove-cancel-button-and-set-a-minimum-width.patch,
    debian/patches/0002-add-a-gnome-3-style-panel-with-a-clock.patch:
    + Taken from upstream git, make the screensaver more GNOME 3.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 19 Jan 2011 22:16:20 +0000

gnome-screensaver (2.30.0-3) unstable; urgency=low

  * Disable libnotify support, the function simply doesn’t work at all.
    Closes: #606830.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Jan 2011 17:46:22 +0100

gnome-screensaver (2.30.0-2) unstable; urgency=low

  * Depend on gnome-session-bin instead of gnome-session.
    Closes: #552436.
  * Only suggest rss-glx. Closes: #599634.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 13:43:45 +0100

gnome-screensaver (2.30.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 10:01:30 +0200

gnome-screensaver (2.28.3-1) unstable; urgency=high

  * New upstream bugfix release.
    - CVE-2010-0422, handle monitor hotplugging more securely.
    - Urgency high for this and the previous security updates.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 15 Feb 2010 19:13:51 +0100

gnome-screensaver (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release.
    - CVE-2010-0414, handle monitor removal more securely. Closes: #569084.
    - debian/patches/01_session_inhibitors.patch:
      + Removed, fixed upstream.
  * Standards-Version is 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 10 Feb 2010 09:59:34 +0100

gnome-screensaver (2.28.0-2) unstable; urgency=low

  * Move the autostart file to /usr/share/gnome/autostart.
  * Remove the old one in the postinst.
  * Removed libxxf86misc-dev build-dependency. This extension has been 
    removed in Xorg 7.4. Closes: #559689.
  * Add quilt support.
  * 01_session_inhibitors.patch: stolen from upstream git. Fix a leak of 
    session inhibitors. Closes: #560049.

 -- Josselin Mouette <joss@debian.org>  Mon, 04 Jan 2010 19:09:35 +0100

gnome-screensaver (2.28.0-1) unstable; urgency=low

  * New upstream release.
    - Remove libglade2-dev build dependency, no longer needed.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 24 Sep 2009 18:01:13 +0200

gnome-screensaver (2.26.1-2) unstable; urgency=low

  * Depend on gnome-session 2.26, it is useless without it.
    Closes: #536381.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Jul 2009 11:34:43 +0200

gnome-screensaver (2.26.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/watch: don't uupdate.
  * debian/copyright: updated.
  * debian/patches/01_manpages_whatis.patch: removed, fixed upstream.
  * debian/rules: remove simple-patchsys.mk
  * Use unstable for Vcs-*
  * Standards-Version is 3.8.2, no changes needed.
  * debian/rules: install gconf-defaults file with default priority.
  * debian/debian-floaters.desktop:
    - Remove deprecated Encoding key.
    - Add trailing semicolon to Categories.
    - Add full path to the Exec command, as floaters is not in PATH.
    - Add OnlyShowIn: GNOME.
  * Add magic to make debian-floaters.desktop translatable. Thanks
    Josselin Mouette for the explanations.
    - Spanish translation by Francisco Javier Cuadrado.
    - Swedish translation by Martin Bagge.
    - German translation by Helge Kreutzmann. Closes: #533646.
    - Portuguese translation by Américo Monteiro.

  [ Josselin Mouette ]
  * Add French translation for the desktop file.
  * Enable building of docbook documentation.
  * rules, gnome-screensaver.docs: install it in a non-Redhatish place.
  * A bit of cleanup in build-dependencies.

 -- Josselin Mouette <joss@debian.org>  Fri, 26 Jun 2009 21:46:05 +0200

gnome-screensaver (2.24.1-2) unstable; urgency=low

  * Upload to unstable.
  * Standards version is 3.8.1.

 -- Josselin Mouette <joss@debian.org>  Tue, 07 Apr 2009 11:28:17 +0200

gnome-screensaver (2.24.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Restores the X gamma value instead of resetting it if it had been
      modified. Closes: #496685.
    - Update build dependencies.
    - Standards-Version is 3.8.0, no changes needed.
    - Add Vcs-* fields.
    - Remove --with-gdm-config from DEB_CONFIGURE_EXTRA_FLAGS, it's been
      removed upstream.
    - patches/01_compiz_lock_bypass_CVE-2007-3920.patch:
      + Removed, it has been properly fixed in the X server.
        See http://bugzilla.gnome.org/show_bug.cgi?id=488264.
    - debian/gnome-screensaver.manpages,
      debian/gnome-screensaver*.1:
      - Removed, the manpages are now shipped and installed upstream.

  [ Josselin Mouette ]
  * Don’t run dh_gconf twice.
  * Require libgnomekbd-dev 2.24 because of the merge with libgnomekbdui 
    and to ensure using libgnomekbd3.
  * Include simple-patchsys.
  * 01_manpages_whatis.patch: new patch; fixes bad whatis entries in the 
    manual pages.

 -- Josselin Mouette <joss@debian.org>  Wed, 10 Dec 2008 12:44:24 +0100

gnome-screensaver (2.22.2-2) unstable; urgency=low

  * Suggest xscreensaver-data. Closes: #469211.
  * Depend on dbus-x11 instead of dbus.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Sep 2008 15:57:52 +0200

gnome-screensaver (2.22.2-1) unstable; urgency=high

  * New upstream bugfix release:
    + SECURITY: CVE-2008-1683 unlocks session if 
      it fails to get user attributes via getpwnam() (Closes: #475154).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Apr 2008 10:50:22 +0200

gnome-screensaver (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/control.in:
    + Move homepage to Homepage field.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 02 Apr 2008 18:54:19 +0200

gnome-screensaver (2.22.0-1) unstable; urgency=medium

  [ Josselin Mouette ]
  * 02_clear_clipboard.patch: clear the clipboard when locking the
    screen. Closes: #455484.

  [ Loic Minier ]
  * Add a README.Debian to document that one should disable the gnome-keyring
    PAM module if the recommended libpam-gnome-keyring isn't installed;
    closes: #457549.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + Drop gnome-vfs build dependency and build depend on glib >= 2.15.0.
    + 02_clear_clipboard.patch: Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 10:15:47 +0100

gnome-screensaver (2.20.0-2) unstable; urgency=low

  [ Loic Minier ]
  * Build-dep on libnotify-dev for "Leave Message" functionality to actually
    work; thanks Hristo Hristov; Launchpad #140866; closes: #443766.

  [ Sven Arvidsson ]
  * Add man pages (Closes: #438606)

  [ Josselin Mouette ]
  * 01_compiz_lock_bypass_CVE-2007-3920.patch: place fix of the
    security upload in a proper separate patch.
  * gnome-screensaver.pam: add support for pam_gnome_keyring.
  * Recommend libpam-gnome-keyring.

  [ Loic Minier ]
  * Drop duplicate --with-gdm-config flag; thanks Ted Gould and Ubuntu;
    closes: #453512.

  [ Sebastian Dröge ]
  * ACK NMU (Closes: #446906) and upload to unstable.
  * debian/control.in:
    + Update Standards-Version to 3.7.3 (no additional changes needed).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Dec 2007 07:55:36 +0100

gnome-screensaver (2.20.0-1.1) unstable; urgency=high

  * Non-maintainer upload by the testing-security team
  * Prevent screen lock bypass via shortcuts when compiz is running
    (Closes: #446906) Fixes: CVE-2007-3920

 -- Steffen Joeris <white@debian.org>  Wed, 24 Oct 2007 13:08:36 +0000

gnome-screensaver (2.20.0-1) unstable; urgency=low

  [ Riccardo Setti ]
  * New upstream release
  * Adjusted Build-Deps

  [ Josselin Mouette ]
  * Remove xscreensaver-gl from Recommends as it doesn't ship any 
    .desktop files.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 15:07:01 +0200

gnome-screensaver (2.18.2-1) unstable; urgency=low

  * New upstream stable release.
  * Wrap build-deps and deps.
  * Cleanups.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Tue, 29 May 2007 11:56:21 +0200

gnome-screensaver (2.18.1-1) unstable; urgency=low

  [ Riccardo Setti ]
  * New upstream release.

  [ Sebastian Dröge ]
  * Upload to unstable, drop check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Tue,  1 May 2007 20:33:17 +0200

gnome-screensaver (2.18.0-1) experimental; urgency=low

  [ Riccardo Setti ]
  * New upstream release

  [ Loic Minier ]
  * Build-dep on libgnomekbdui-dev (>= 0.1) for kbd-layout-indicator.
  * Bump up libgtk2.0-dev build-dep to >= 2.10.0 to make the package
    autobuildable.

 -- Loic Minier <lool@dooz.org>  Sun, 25 Mar 2007 19:30:28 +0200

gnome-screensaver (2.16.3-2) experimental; urgency=low

  * Merge 2.14.3-2 up-to 2.14.3-4; SVN r7317:8959.
    - Drop patch 00_dbus_0.90, obsolete.
    - Drop patch 01_norwegian_translation_fix, merged upstream.

 -- Loic Minier <lool@dooz.org>  Sat, 17 Mar 2007 13:26:32 +0100

gnome-screensaver (2.16.3-1) experimental; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * New upstream stable release; bug fixes and translations.

 -- Loic Minier <lool@dooz.org>  Sat, 17 Mar 2007 11:43:49 +0100

gnome-screensaver (2.16.2-1) experimental; urgency=low

  * New upstream release.
  * Remove duplicate build-dependency on libpam0g-dev.

 -- Josselin Mouette <joss@debian.org>  Fri,  8 Dec 2006 23:13:56 +0100

gnome-screensaver (2.16.0-1) experimental; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Sat, 30 Sep 2006 01:29:27 +0200

gnome-screensaver (2.15.6-1) experimental; urgency=low

  * New upstream development releases.
    - Target at experimental.
    - Build-depends on libgl1-mesa-dev, and libpam0g-dev
    - Install Debian files via debian/gnome-screensaver.install instead of
      debian/rules; install debian-floaters in
      /usr/share/applications/screensavers instead of
      /usr/share/gnome-screensaver/themes.
    - Recommend xscreensaver-gl and rss-glx for additional screensavers.
    - Depend on gnome-icon-theme >= 2.15.90, first version providing the
      "preferences-desktop-screensaver" icon instead of "screensaver".
  * Add CDBS' utils.

 -- Loic Minier <lool@dooz.org>  Mon, 14 Aug 2006 00:20:19 +0200

gnome-screensaver (2.14.3-4) unstable; urgency=low

  [ Sven Arvidsson ]
  * Fix spelling mistake in norwegian translation. (Closes: #402586)

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

 -- Loic Minier <lool@dooz.org>  Sat, 13 Jan 2007 23:30:43 +0100

gnome-screensaver (2.14.3-3) unstable; urgency=low

  * Add a gconf-defaults file.
    + Set the default screensaver to be Debian floaters. (Closes: #367682)
    + Enable user switch option.
  * debian/rules: Register it with priority 15
  * debian/control: Build-depend on debhelper 5.0.13.

 -- Gustavo Franco <stratus@debian.org>  Fri, 24 Nov 2006 16:58:03 -0200

gnome-screensaver (2.14.3-2) unstable; urgency=low

  * debian/patches/00_dbus_0.90.patch
    - Added. Use dbus_connection_close instead of dbus_connection_disconnect,
    fixes FTBS with libdbus-1 >= 0.90 (Closes: #387240)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 13 Sep 2006 10:38:38 +0200

gnome-screensaver (2.14.3-1) unstable; urgency=low

  [ Loic Minier ]
  * Add watch file.

  [ Josselin Mouette ]
  * Recommend gnome-power-manager.

  [ Loic Minier ]
  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Tue,  8 Aug 2006 11:28:31 +0200

gnome-screensaver (2.14.2-1) unstable; urgency=low

  * New upstream release.

 -- Loic Minier <lool@dooz.org>  Thu,  1 Jun 2006 12:02:48 +0200

gnome-screensaver (2.14.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/control.in:
    - updated my e-mail address.
    - bumped Standards-Version with no changes.
    - added dependency on dbus (Closes: #353517).
    - added build-dependency on libxxf86misc-dev (Closes: #357885).

 -- Guilherme de S. Pastore <gpastore@debian.org>  Sat, 13 May 2006 12:25:18 -0300

gnome-screensaver (2.14.0-1) unstable; urgency=low

  * New upstream release 
  * Update description.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 17 Mar 2006 11:13:32 +0100

gnome-screensaver (2.13.92-1) experimental; urgency=low

  * New upstream release
  * debian/patches/02_multiscreen_lifelock.patch
    + Removed. Fixed upstream
  * debian/patches/01_dont_modify_bg.patch 
    + Removed. Unsure if it actually fixed the bug or made the race condition
    harder to trigger. So temporarely remove it for testing purposes

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  1 Mar 2006 14:00:18 +0100

gnome-screensaver (0.0.24-2) unstable; urgency=low

  * debian/patches/02_multiscreen_lifelock.patch 
    + Added. Prevent gnome-screensaver lifelock when using multiple screen.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 17 Feb 2006 14:38:17 +0100

gnome-screensaver (0.0.24-1) unstable; urgency=low

  [ Guilherme de S. Pastore ]
  * New upstream release

  [ Sjoerd Simons ]
  * Upload to unstable
  * Add --with-gdm-config=/etc/gdm/gdm.conf to DEB_CONFIGURE_EXTRA_FLAGS
  * Add debian swirl floater screensaver. Thanks to Martin-Éric Racine
    (Closes: #348281)
  * Trim down the build-depends
  * Add libexif-dev to the build-depends. Enables the slideshow screensaver to
    rotate pictures when needed.
  * debian/patches/01_dont_modify_bg.patch 
    + Added. Calling gtk_widget_modify_bg seems to trigger a segv, so don't
      call it.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon,  6 Feb 2006 21:39:42 +0100

gnome-screensaver (0.0.23-2) experimental; urgency=low

  * Completed copyright and licensing notes. Thanks to Marc 'HE'
    Brockschmidt <he@debian.org>.

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Mon, 26 Dec 2005 09:57:58 -0200

gnome-screensaver (0.0.23-1) experimental; urgency=low

  * New upstream release.

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Wed, 21 Dec 2005 21:02:45 -0200

gnome-screensaver (0.0.21-1) experimental; urgency=low

  * Initial release (Closes: #317448)

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Tue,  6 Dec 2005 20:30:00 -0200
